<ui:composition xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- expected param: patient (this patient must extends AbstractPatient), codeProvider: the name of the bean which implement DemographicCodeProvider interface -->
    <s:div id="showAbstractPatientDemographic">
        <dl class="dl-horizontal">
            <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{patient.firstName != null}">
                <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.FirstName']}</ui:define>
                <h:outputText value="#{patient.firstName}"/>
                <h:outputText value=" (#{patient.alternateFirstName})"
                              rendered="#{not empty patient.alternateFirstName}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{not empty patient.secondName}">
                <ui:define name="label">#{messages['net.ihe.gazelle.patgen.SecondName']}</ui:define>
                <h:outputText value="#{patient.secondName}"/>
                <h:outputText value=" (#{patient.alternateSecondName})"
                              rendered="#{not empty patient.alternateSecondName}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{not empty patient.thirdName}">
                <ui:define name="label">#{messages['net.ihe.gazelle.patgen.ThirdName']}</ui:define>
                <h:outputText value="#{patient.thirdName}"/>
                <h:outputText value=" (#{patient.alternateThirdName})"
                              rendered="#{not empty patient.alternateThirdName}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{patient.lastName != null}">
                <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.LastName']}</ui:define>
                <h:outputText value="#{patient.lastName}"/>
                <h:outputText value=" (#{patient.alternateLastName})"
                              rendered="#{not empty patient.alternateLastName}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{not empty patient.motherMaidenName}">
                <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.MothersMaidenName']}</ui:define>
                <h:outputText value="#{patient.motherMaidenName}"
                              rendered="#{not empty patient.motherMaidenName}"/>
                <h:outputText value=" (#{patient.alternateMothersMaidenName})"
                              rendered="#{not empty patient.alternateMothersMaidenName}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{patient.genderCode != null}">
                <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.Gender']}</ui:define>
                <h:outputText value="#{codeProvider.getGender(patient)}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{patient.dateOfBirth != null}">
                <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.DateOfBirth']}</ui:define>
                <g:date value="#{patient.dateOfBirth}" time="false"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{patient.religionCode != null}">
                <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.Religion']}</ui:define>
                <h:outputText value="#{codeProvider.getReligion(patient)}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{patient.raceCode != null}">
                <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.Race']}</ui:define>
                <h:outputText value="#{codeProvider.getRace(patient)}"/>
            </s:decorate>
        </dl>
    </s:div>
</ui:composition>
